diff -ruN uppsrc/ide/Browser/Item.cpp uppsrc/ide/Browser/Item.cpp
--- uppsrc/ide/Browser/Item.cpp	2010-03-25 00:05:06 +0400
+++ uppsrc/ide/Browser/Item.cpp	2013-07-28 01:35:44 +0400
@@ -74,6 +74,11 @@
 	LLOG("ParseItemNatural " << m.natural << ", pname: " << m.pname
 	                         << ", tname: " << m.tname << ", m.ctname: " << m.ctname);
 	Vector<ItemTextPart> part;
+	const int length = name.GetLength();
+	if(length == 0) {
+		LLOG("Empty name for s: " << s);
+		return part;
+	}
 	bool param = false;
 	int pari = -1;
 	int par = 0;
@@ -90,9 +95,9 @@
 		}
 		else
 		if(iscid(*s) || *s == ':') {
-			if(strncmp(s, name, name.GetLength()) == 0 && !iscid(s[name.GetLength()])) {
+			if(strncmp(s, name, length) == 0 && !iscid(s[length])) {
 				p.type = ITEM_NAME;
-				n = name.GetLength();
+				n = length;
 				param = true;
 			}
 			else {
